Get a custom SSL certificate

GET/v1/ssl_certificates/custom/{id}

To retrieve SSL certificate details, perform a GET request to /v1/ssl_certificates/custom/{id}. Choose a necessary certificate by specifying its ID in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

A unique identifier of an SSL certificate.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/ssl_certificates/custom/4zbqx2ap"
{  "id": "4zbqx2ap",  "name": "name463",  "type": "custom",  "issuer": null,  "subject": "example-475.com",  "domain_names": [],  "sha1_fingerprint": "2565efb479cd257885d068252ac29135921985ef",  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "expires_at": null,  "created_at": "2026-05-28T06:58:15Z",  "updated_at": "2026-05-28T06:58:15Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}